Skip to main content
PUT
Update Component Group

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

componentGroup
integer
required

The component group ID

Body

application/json

UpdateComponentGroupRequestData

name
string | null
Maximum string length: 255
order
integer | null
Required range: x >= 0
visible
boolean | null
collapsed
enum<integer> | null
Available options:
0,
1,
2
order_column
enum<string> | null
Available options:
id,
last_updated,
name,
manual,
status
order_direction
enum<string> | null
Available options:
asc,
desc
components
integer[] | null
Required range: x >= 0
meta
object | null

Response

ComponentGroup

data
ComponentGroup · object
required
included
Component · object[]